package teamcity.crowd.integration

import teamcity.crowd.integration.utils.Nothing
import teamcity.crowd.integration.utils.Something

class MaybeTest extends GroovyTestCase {

    void test_shouldNotHaveValueIfItsNothing(){
        def nothing = new Nothing<String>()
        assert nothing.hasValue() == false
    }

    void test_shouldHaveValueIfItsSomething(){
        def something = new Something<String>("sakdjaskjd")
        assert something.hasValue() == true
    }
}
