package teamcity.crowd.integration.utils;

import jetbrains.buildServer.util.Alarm;

public class AlarmBasedTaskScheduler implements TaskScheduler {

    @Override
    public void scheduleTask(Runnable invokeOn, String taskName, long delay, long repeatInterval) {
        final Alarm alarm = new Alarm(taskName);
        alarm.addRepeatableRequest(invokeOn, delay, repeatInterval);
    }
}
