package teamcity.crowd.integration.mocks;

import jetbrains.buildServer.controllers.BaseController;
import jetbrains.buildServer.web.openapi.*;
import org.jetbrains.annotations.NotNull;
import org.springframework.web.servlet.mvc.Controller;

import javax.servlet.http.HttpServletRequest;

public class MockWebControllerManager implements WebControllerManager {
    @Override
    public void registerController(@NotNull String s, @NotNull Controller controller) {
        System.out.println(String.format("Registered controller [%s] at url [%s]", controller.getClass().getName(), s));
    }

    @Override
    public void registerAction(@NotNull BaseController baseController, @NotNull ControllerAction controllerAction) {
        System.out.println(String.format("Registered action [%s] of a controller [%s]", controllerAction.getClass().getName(), baseController.getClass().getName()));
    }

    @Override
    public ControllerAction getAction(@NotNull BaseController baseController, @NotNull HttpServletRequest httpServletRequest) {
        return null;
    }

    @Override
    public void addPageExtension(WebPlace webPlace, WebExtension webExtension) {

    }

    @Override
    public void removePageExtension(WebPlace webPlace, WebExtension webExtension) {

    }

    @NotNull
    @Override
    public PagePlace getPlaceById(@NotNull PlaceId placeId) {
        return null;
    }
}
